package inc.monsters.mias;

import java.util.List;

public class Preferences {
	private String skinFamily;
	private List<String> availableSkinFamilies;
	private long maxUploadMemory = 1024L;
	private long maxUploadDiskSpace = 1024L;
	private String tempDir = "/tmp/uploads";

	public String getTempDir() {
		return tempDir;
	}

	public void setTempDir(String tempDir) {
		this.tempDir = tempDir;
	}

	public String getSkinFamily() {
		return skinFamily;
	}

	public void setSkinFamily(String skinFamily) {
		this.skinFamily = skinFamily;
	}

	public List<String> getAvailableSkinFamilies() {
		return availableSkinFamilies;
	}

	public void setAvailableSkinFamilies(List<String> availableSkinFamilies) {
		this.availableSkinFamilies = availableSkinFamilies;
	}

	public long getMaxUploadMemory() {
		return maxUploadMemory;
	}

	public void setMaxUploadMemory(long maxUploadMemory) {
		this.maxUploadMemory = maxUploadMemory;
	}

	public long getMaxUploadDiskSpace() {
		return maxUploadDiskSpace;
	}

	public void setMaxUploadDiskSpace(long maxUploadDiskSpace) {
		this.maxUploadDiskSpace = maxUploadDiskSpace;
	}
}
